local get_data = {}

function get_data:init(config)
  get_data.triggers = utilities.triggers(self.info.username, config.cmd_pat):t('wget', true).table
  get_data.doc = '\n*/wget* _<URL>_'
end

get_data.command = 'wget <URL>'

function get_data:action(msg, config)
  local input = utilities.input_from_msg(msg)
  if not input then
    utilities.send_reply(msg, get_data.doc, true)
	return
  end
  
  utilities.send_typing(msg.chat.id, 'upload_document')
  local file = download_to_file(input)
  if not file then
    utilities.send_reply(msg, config.errors.connection)
	return
  end
  utilities.send_document(msg.chat.id, file, nil, msg.message_id)
end

return get_data
