local rpic = {}

function rpic:init(config)
  rpic.triggers = utilities.triggers(self.info.username, config.cmd_pat):t('rpic', true).table
  rpic.doc = [[*
]]..config.cmd_pat..[[rpic* _<Thema>_
*Themen:*
- anime
- mlp
- doge
- faktillion
- faktastisch
- gamefakt
- faktglaublich]]
end

rpic.command = 'rpic <Thema>'

function rpic:get_random_image(dir)
  files = scandir(dir)
  if not files[1] then return ': Keine Dateien vorhanden!' end
  file = files[math.random(#files)]
  return file
end

function rpic:action(msg, config)
  local input = utilities.input_from_msg(msg)
  if not input then
    utilities.send_reply(msg, rpic.doc, true)
	return
  end

  local pics = {
	["test"] = "/home/akamaru/Mikubot/sfw/test/",
	["anime"] = "/home/akamaru/Mikubot/sfw/anime/",
	["mlp"] = "/home/akamaru/Mikubot/sfw/mlp/",
	["doge"] = "/home/akamaru/Mikubot/sfw/doge/",
	["faktillon"] = "/home/akamaru/Mikubot/sfw/faktillon/",
	["faktastisch"] = "/home/akamaru/Mikubot/sfw/faktastisch/",
	["gamefakt"] = "/home/akamaru/Mikubot/sfw/gamefakt/",
	["faktglaublich"] = "/home/akamaru/Mikubot/sfw/faktglaublich/"
  }

  if pics[input] then
    local img = pics[input]..rpic:get_random_image(pics[input])
	print("Sende... "..img)
	if string.ends(img, ".gif") or string.ends(img, ".mp4") then
	  utilities.send_document(msg.chat.id, img)
	  return
	elseif string.ends(img, ".jpg") or string.ends(img, ".jpeg") or string.ends(img, ".png") then
	  utilities.send_photo(msg.chat.id, img)
	  return
	else
	  utilities.send_reply(msg, 'Fehler: '..img)
      return
	end
  else
    utilities.send_reply(msg, '*Dieses Thema gibt es nicht!*'..rpic.doc, true)
	return 
  end
end

return rpic
