local insider = {}

function insider:init(config)
  insider.triggers = utilities.triggers(self.info.username, config.cmd_pat):t('insider', true).table
  insider.doc = '\n*/insider*'
end

insider.command = 'insider'

function insider:action(msg, config)
  local insiders = {'<b>Insider:</b> eben\n<b>Erschaffen/hauptsächlich verwendet von:</b> pegelf\n<b>Wo eingesetzt?:</b> sehr oft in Sätzen\n<b>Bemerkung:</b> Ein Markenzeichen von ihm, nach Mr.DaBus Meinung.',
				   '<b>Insider:</b> ebenD\n<b>Erschaffen/hauptsächlich verwendet von:</b> Andi919\n<b>Wo eingesetzt?:</b> immer statt dem Wort "eben"\n<b>Bemerkung:</b> das D wird absichtlich groß geschrieben',
				   '<b>Insider:</b> Lol\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> wenn am Mobilgerät geschrieben, meistens bei Telegram\n<b>Bemerkung:</b> Die Autokorrektur schreibt Anfangsbuchstaben immer groß, Mr.DaBu hasst diese Schreibweise aber',
				   '<b>Insider:</b> lawl\n<b>Erschaffen/hauptsächlich verwendet von:</b> Centzilius\n<b>Wo eingesetzt?:</b> immer anstelle von "lol"\n<b>Bemerkung:</b> eines seiner Markenzeichen',
				   '<b>Insider:</b> xd\n<b>Erschaffen/hauptsächlich verwendet von:</b> Plueschopath\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> eines seiner Markenzeichen',
				   '<b>Insider:</b> nya\n<b>Erschaffen/hauptsächlich verwendet von:</b> Plueschopath\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> Alternative zu naja',
				   '<b>Insider:</b> TM\n<b>Erschaffen/hauptsächlich verwendet von:</b> Mr.DaBu\n<b>Wo eingesetzt?:</b> am Ende von Insidern\n<b>Bemerkung:</b> am Ende von Insidern',
				   '<b>Insider:</b> joa\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> oft bei ja/nein-Fragen\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> [...] lol\n<b>Erschaffen/hauptsächlich verwendet von:</b> Sammy\n<b>Wo eingesetzt?:</b> Am Ende eines Satzes\n<b>Bemerkung:</b> Dieser Insider ist nur dann gemeint, wenn "lol" am Ende des Satzes steht!',
				   '<b>Insider:</b> wat\n<b>Erschaffen/hauptsächlich verwendet von:</b> Sammy\n<b>Wo eingesetzt?:</b> bei Unklarheit\n<b>Bemerkung:</b> wird auch von anderen verwendet, aber bei ihm am meisten',
				   '<b>Insider:</b> Pff\n<b>Erschaffen/hauptsächlich verwendet von:</b> pegelf\n<b>Wo eingesetzt?:</b> Als Ablehnung\n<b>Bemerkung:</b> meistens, wenn die Idee einer anderen Person überflüssig ist',
				   '<b>Insider:</b> lOl\n<b>Erschaffen/hauptsächlich verwendet von:</b> Mr.DaBu\n<b>Wo eingesetzt?:</b> wenn "lol" falsch geschrieben wurde (meistens Lol)\n<b>Bemerkung:</b> meistens mit Zusatzinfo: lOl = Teller mit Besteck',
				   '<b>Insider:</b> yo\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> Als Begrüßung\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> yow\n<b>Erschaffen/hauptsächlich verwendet von:</b> DefenderX\n<b>Wo eingesetzt?:</b> Als Begrüßung\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> ._.\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> Bei jeder Gelegenheit\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> <.<\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> Wenn jemand etwas nicht kapiert oder was nicht richtig geht\n<b>Bemerkung:</b> Meistens auch als >.<, >.>, <_<, >_< oder >_>',
				   '<b>Insider:</b> möp\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> meistens aus Langeweile, wenn Stille herrscht\n<b>Bemerkung:</b> danach folgt meistens von jemand anderem "se" um ein Wort zu bilden...',
				   '<b>Insider:</b> *Stille*\n<b>Erschaffen/hauptsächlich verwendet von:</b> Mr.DaBu, Akamaru uvm.\n<b>Wo eingesetzt?:</b> Wenn als letzte Nachricht eine Frage oder Aussage geschrieben wurde und nichts mehr folgt\n<b>Bemerkung:</b> Meistens geht es danach wieder weiter',
				   '<b>Insider:</b> Certzilius\n<b>Erschaffen/hauptsächlich verwendet von:</b> Mr.DaBu\n<b>Wo eingesetzt?:</b> bei Gelegenheit in Chats als Nickname für Centzilius\n<b>Bemerkung:</b> erfunden in Telegram, da Centzilius die SSL-Zertifikate (engl. abk.: "cert") verwaltet und oft welche für pegelf erstellen oder erneuern muss.',
				   '<b>Insider:</b> Brswl\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> als Anrede für Brawl\n<b>Bemerkung:</b> absichtlicher Tippfehler',
				   '<b>Insider:</b> Brawl-imoutochan\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> als Anrede für Brawl\n<b>Bemerkung:</b> "imoutochan" ist japanisch für "kleine Schwester"',
				   '<b>Insider:</b> re\n<b>Erschaffen/hauptsächlich verwendet von:</b> Centzilius\n<b>Wo eingesetzt?:</b> anstelle von "wd"\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> Anders\n<b>Erschaffen/hauptsächlich verwendet von:</b> Simon\n<b>Wo eingesetzt?:</b> Telegram-Zweitgruppe\n<b>Bemerkung:</b> seit er da ist, sehr oft; anfangs durch ein Missverständnis mit dem Namen "cent" entstanden. Jetzt verwendet er es als Spitzname für Andreas/Brawl (worauf dann meist von Brawl folgt: "Ich bin Anders")',
				   '<b>Insider:</b> PDF\n<b>Erschaffen/hauptsächlich verwendet von:</b> Mr.DaBu\n<b>Wo eingesetzt?:</b> anstelle von "pff"\n<b>Bemerkung:</b> Mr.DaBu wollte mal "Pff" schreiben, aber seine Autokorrektur hat "PDF" daraus gemacht.',
				   '<b>Insider:</b> ay\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> anstelle von "ja"\n<b>Bemerkung:</b> ---',
				   '<b>Insider:</b> denn\n<b>Erschaffen/hauptsächlich verwendet von:</b> Henrik\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> anstelle von "dann"',
				   '<b>Insider:</b> DaBui\n<b>Erschaffen/hauptsächlich verwendet von:</b> Akamaru\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> anstelle von "DaBu"; meist wenn Mr.DaBu schlafen geht',
				   '<b>Insider:</b> :\\\n<b>Erschaffen/hauptsächlich verwendet von:</b> nino\n<b>Wo eingesetzt?:</b> mehrbedeutend: nachdenklich, zweifelnd, traurig usw.\n<b>Bemerkung:</b> eines seiner Markenzeichen',
				   '<b>Insider:</b> MeeeeeeeM\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl, nino\n<b>Wo eingesetzt?:</b> FiiiiiiiiiiiiiiiiiF\n<b>Bemerkung:</b> SooooooooooooooooS',
				   '<b>Insider:</b> DJ mP\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> als Kurzname für masterP',
				   '<b>Insider:</b> Satya Nutella\n<b>Erschaffen/hauptsächlich verwendet von:</b> Brawl\n<b>Wo eingesetzt?:</b> Telegram\n<b>Bemerkung:</b> Anstelle von "Satya Nadella"'}
  utilities.send_reply(msg, insiders[math.random(#insiders)], 'HTML')
end

return insider